Skip to main content
`Ctrl`+`K`

# KSPResetViewers

Resets all the viewers set from the options database during `KSPSetFromOptions()`

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPResetViewers(KSP ksp)

Collective

## Input Parameter

- ksp - iterative context obtained from `KSPCreate()`

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPSetUp()`, `KSPSolve()`, `KSPSetFromOptions()`, `KSP`

## Level

beginner

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages